 @echo off
cls
echo "                           __________                      "
echo "   _______ _____________  ____  /__(_)_______________  __  "
echo "   __  __ `__ \  __ \  / / /_  /__  /__  __ \  _ \_  |/_/  "
echo "   _  / / / / / /_/ / /_/ /_  / _  / _  / / /  __/_>  <    "
echo "   /_/ /_/ /_/\____/\__,_/ /_/  /_/  /_/ /_/\___//_/|_|    "
echo "                                                           "
echo "   (c) D Labs                                              "

echo.
setlocal ENABLEEXTENSIONS ENABLEDELAYEDEXPANSION
set "PATH=%~dp0;%PATH%"
set inputDir=%~dp0\movies_resize
set outputDir=%~dp0\movies_resize\encoded
set inputMovieType=mov
set profile=1

:main
echo.
echo ====== moulinex - movies convert ======
echo ---------- new files check ------------
if not exist %outputDir% mkdir %outputDir%
for %%F in (%inputDir%\*.%inputMovieType%) do (
  call :loop %%F %%~nF
)
timeout /T 10
goto :main

:loop
set source=%1
set filename=%2
set destination=%outputDir%\%filename%-PR%profile%.mov
set mustEncode="false"
echo from : %source%
echo to   : %destination%

if not exist %destination% (
  echo File does not exist - go
  call :encode %source% %destination%
  goto:eof
)
echo File exists - let's compare dates
for /F "Delims=" %%I In ('xcopy /DHYL %source% %destination% ^|Findstr /I "File"') do set /a _Newer=%%I 2>Nul
if (%_Newer% == 1) call :encode %!source!% %!destination!%
echo file up to date - leave
goto:eof

echo source file newer - go

:encode
set source=%1
set destination=%2
if exist %destination% del %destination%
ffmpeg.exe -i %source% -vcodec prores -profile:v %profile% -s 1280x720 %destination% > _log.txt
goto:eof

:eof